SpyBara
Go Premium

resources/skills/methods/retrieve/index.md 2026-06-09 06:34 UTC to 2026-06-10 15:48 UTC

64 added, 0 removed.

2026
Fri 26 17:57 Thu 25 20:59 Wed 24 22:02 Tue 23 22:00 Wed 17 18:02 Tue 16 21:57 Fri 12 00:01 Wed 10 15:48 Tue 9 06:34 Fri 5 06:45 Thu 4 06:52 Tue 2 06:51

Get a skill by its ID.

get /skills/{skill_id}

Get a skill by its ID.

Path Parameters

  • skill_id: string

Returns

  • Skill object { id, created_at, default_version, 4 more }

    • id: string

      Unique identifier for the skill.

    • created_at: number

      Unix timestamp (seconds) for when the skill was created.

    • default_version: string

      Default version for the skill.

    • description: string

      Description of the skill.

    • latest_version: string

      Latest version for the skill.

    • name: string

      Name of the skill.

    • object: "skill"

      The object type, which is skill.

      • "skill"

Example

curl https://api.openai.com/v1/skills/$SKILL_ID \
    -H "Authorization: Bearer $OPENAI_API_KEY"

Response

{
  "id": "id",
  "created_at": 0,
  "default_version": "default_version",
  "description": "description",
  "latest_version": "latest_version",
  "name": "name",
  "object": "skill"
}